@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

@font-face {
    font-family: 'BergstenaScript';
    src: url(../fonts/BergstenaScript.otf);
}

@font-face {
    font-family: 'PrintClearly_TT';
    src: url(../fonts/PrintClearly_TT.ttf);
}

.engravingfont {
    font-family: 'BergstenaScript !important';
}

.engravingfont1 {
    font-family: 'PrintClearly_TT !important';
}

body {
    margin: 0;
    font-family: var(--bs-font-sans-serif);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: transparent;
    overflow-x: hidden;
}

h5 {

    font-family: "Roboto", sans-serif !important;
}

section.custom-senior-display {
    padding: 450px 0 11px;
    position: relative;
    border-bottom: 1px solid #413838;
}

section.custom-senior-display::before {
    content: "";
    background-color: #1a1a1a;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

header {
    background-color: #000;
}

section.editormainbanner {
    background-color: #000;
    height: 200px;
}

.product-detail {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.iconlist ul {
    list-style: none;
    display: flex;
}

.iconlist ul li {
    margin: 0 18px;
}

.iconlist ul li a i {
    color: #fff;
    font-size: 25px;
}

.barrelstep-line {
    border-bottom-color: rgb(198, 198, 198);
    border: 1px;
    border-bottom: 1px solid rgb(198 198 198 / 21%);
    margin: 0;
    height: 2px !important;
}

.price {
    font-weight: 500;
    margin-left: 0px;
    /* margin-right: 744px; */
    font-family: Roboto;
    color: #fff;
    font-size: 30px;
}

.barrelstep-content h5 {
    color: #fff;
    font-size: 17px;
    line-height: 25px;
    font-weight: 400;
}

/* first step css */
.question {
    margin-top: 2rem;
}

.thumbnail-question {
    margin-bottom: 2rem;
}

.thumbnail-question .answers {
    display: grid;
    justify-content: space-between;
}

.thumbnail-question .answer-container label {
    margin-top: 0.5rem;
    text-align: center;
    font-size: 12px;
    line-height: 25px;
    color: #fff !important;
}

.text-answer__label {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}

.lazy-load-image-background.blur.lazy-load-image-loaded {
    filter: blur(0);
    transition: filter .3s;
}

.thumbnail-question .radio-choice,
.thumbnail-question .image-choice,
.thumbnail-question .color-choice {
    position: relative;
    overflow: hidden;
    -webkit-mask-image: -webkit-radial-gradient(white, black);
    /* border-style: solid; */
    max-width: 100%;
}

.answer-container div .selected {
    color: #ce364c;
    border-color: #ce364c;
    border-width: 0px;
    box-sizing: border-box;
    border: 3px solid;
    display: flex;
    align-items: center;
    justify-content: center;
}

.answer-container div span {
    display: flex;
    height: 60px;
    width: 60px;
    border-radius: 40px;
    font-family: Roboto;
    font-size: 12px;
    box-sizing: border-box;
    font-size: 12px;
}

.barrel-color {
    display: flex;
    height: 60px;
    width: 60px;
    border-radius: 40px;
    font-family: Roboto;
    font-size: 12px;
    box-sizing: border-box;
    font-size: 12px;
}

#batCanvas {
    z-index: -1;
}

#batCanvas.zoomed {
    transform: scale(1.1);
    transform-origin: center center;
    transition: transform 0.3s ease;
}

#batCanvas {
    transform: scale(0.8);
    transform-origin: center center;
    transition: transform 0.3s ease;
}

.dropdown-question select {
    margin-bottom: 0 !important;
    height: 48px;
}

.bat-canvas.fixed-sidebar {
    position: fixed;
    top: 0;
}

.side-bar {
    overflow-y: scroll;
    height: 722px;
    float: left;
    position: absolute;
    top: 0px;
    right: 0;
    background: linear-gradient(180deg, #1a1a1a, #111111);
    box-shadow: -5px 0 15px rgba(0, 0, 0, 0.5);
    border-left: 1px solid #413838;
    padding: 25px 20px;
    width: 31%;
    border-bottom: 1px solid #413838;
    border-top: 1px solid #413838;
}

.side-bar h2,
.side-bar h3 {
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 15px;
    color: #f5f5f5;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    padding-bottom: 5px;
    letter-spacing: 1px;
}

.side-bar::-webkit-scrollbar {
    width: 1px;
}


.barrelstep {
    margin-bottom: 50px;
}

.bat-canvas {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 50%;
    position: absolute;
    top: -10%;
    left: 2%;
    right: auto;
    z-index: -1;
}

#batCanvas {
    display: block;
    max-width: 100%;
    height: auto;
}


.custom-radio {
    display: flex;
    align-items: center;
    cursor: pointer;
    font-size: 16px;
    margin-bottom: 10px;
    position: relative;
    padding-left: 30px;
    user-select: none;
    color: #fff;
}

.custom-radio input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.radio-btn {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 18px;
    width: 18px;
    background-color: #ccc;
    border-radius: 50%;
    border: 2px solid #cc2a4d;
    transition: 0.3s;
}

.custom-radio input:checked~.radio-btn {
    background-color: #da2546;
    border-color: #da2546;
}

.radio-btn::after {
    content: "";
    position: absolute;
    display: none;
}

.custom-radio input:checked~.radio-btn::after {
    display: block;
}

.custom-radio .radio-btn::after {
    top: 3px;
    left: 3px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: white;
}

button#addToCart {
    margin-bottom: 50px;
}

.notetext {
    font-size: 15px;
    border: 0 !important;
    line-height: 20px;
}

.notetext a {
    color: #ce364c;
    text-decoration: underline !important;
}

/* multiple select */
.custom-multiselect {
    position: relative;
    width: 100%;
    font-family: Arial, sans-serif;
}

.select-box {
    border: 1px solid #e5e5e5;
    padding: 8px 25px;
    border-radius: 6px;
    cursor: pointer;
    background: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 48px;
}

.select-box:hover {
    border-color: #007bff;
}

.select-box .arrow {
    border: solid #333;
    border-width: 0 2px 2px 0;
    padding: 2.5px;
    transform: rotate(45deg);
    transition: 0.3s;
    position: relative;
    right: -20px;
}

.checkbox-list {
    display: none;
    position: absolute;
    top: 105%;
    left: 0;
    right: 0;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 6px;
    max-height: 180px;
    overflow-y: auto;
    z-index: 1000;
    padding: 10px;
}

.checkbox-list label {
    display: block;
    margin-bottom: 6px;
    cursor: pointer;
}

.checkbox-list input {
    margin-right: 6px;
    accent-color: #007bff;
    /* modern browsers */
}

.custom-multiselect.open .checkbox-list {
    display: block;
}

.custom-multiselect.open .arrow {
    transform: rotate(-135deg);
}


.side-bar-content h2 {
    color: #fff;
}






